Bug 30002 - Anaconda doesn't recognize SiS 630 for X
Anaconda doesn't recognize SiS 630 for X
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-28 10:28 EST by Bryan Headley
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 22:25:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvx output (7.22 KB, text/plain)
2001-02-28 12:49 EST, Bryan Headley
no flags Details
ddcprobe's output (459 bytes, text/plain)
2001-02-28 12:53 EST, Bryan Headley
no flags Details
lspci -nv output (2.10 KB, text/plain)
2001-02-28 13:16 EST, Bryan Headley
no flags Details
The XF86Config built by anaconda if I override to SiS630 (16.06 KB, text/plain)
2001-03-01 16:45 EST, Bryan Headley
no flags Details
XF86Config if I let anaconda configure things as a SiS620 (16.06 KB, text/plain)
2001-03-01 16:46 EST, Bryan Headley
no flags Details
anaconda builds the XF86Config-4 for SiS620 but not for 630. Odd... (3.65 KB, text/plain)
2001-03-01 16:48 EST, Bryan Headley
no flags Details

  None (edit)
Description Bryan Headley 2001-02-28 10:28:47 EST
Anaconda "believes" video chip is Sis 620, which messes up X configuration.
Comment 1 Bryan Headley 2001-02-28 10:32:20 EST
Xconfigurator IDs chip properly, as does the /proc filesystem.

Really like appearance of Anaconda; can we refactor Xconfigurator to call that
beastie instead?
Comment 2 Bill Nottingham 2001-02-28 12:29:48 EST
Can you post the lspci output?
Comment 3 Brent Fox 2001-02-28 12:42:24 EST
Can you post the output of ddcprobe?  That way, we can tell exactly what the
installer thinks the video card is.

Also, the output of lscpi -nv would be very helpful.
Comment 4 Bryan Headley 2001-02-28 12:49:51 EST
Created attachment 11380 [details]
lspci -vvx output
Comment 5 Bryan Headley 2001-02-28 12:53:50 EST
Created attachment 11381 [details]
ddcprobe's output
Comment 6 Brent Fox 2001-02-28 13:00:31 EST
By looking at the relavent section of lspci...

01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 6306 3D-AGP
(rev a3) (prog-if 00 [VGA])
	Subsystem: Silicon Integrated Systems [SiS] SiS530,620 GUI

It appears that the card thinks that it is a 620.

Also, can you post the output of 'lscpi -nv'.  Using the 'n' option will display
the pci id numbers.  Then we can look them up in the pcitable and see what the
pci ids match up to.
Comment 7 Bryan Headley 2001-02-28 13:16:07 EST
Created attachment 11383 [details]
lspci -nv output
Comment 8 Bryan Headley 2001-02-28 13:25:06 EST
I agree it's amusing. On the other hand, it says it's a 6306 on the line above.
Who do you trust? :-)

It's an on-the-board video chip -- I'd tell you the motherboard id, but I'm
*responding* on the offending machine right now.
Comment 9 Brent Fox 2001-02-28 15:26:30 EST
Ok, here's the relevant entries in the pci-table:

0x1039  0x6300  "Card:SiS 630"  "Silicon Integrated Systems [SiS]|SiS630 GUI
Accelerator+3D"
0x1039  0x6306  "Card:SiS 620"  "Silicon Integrated Systems [SiS]|6306 3D-AGP"


Since the card's pci id is 1039:6306, this maps to the SiS 620.  This may or may
not be correct...I don't know why Xconfigurator would do it differently, though.
Comment 10 Brent Fox 2001-02-28 21:55:17 EST
Bill, any thoughts on what to do here with the pcitable?
Comment 11 Bill Nottingham 2001-02-28 22:03:26 EST
Not really; it uses the same driver entry under XFree4, so it
really shouldn't make any difference.

What are the symptoms of how it fails/what do you change to make it
work?
Comment 12 Bryan Headley 2001-03-01 12:55:42 EST
Uh... The text on the screen is nearly unreadable. As in, X server unusable :-)
You fix it by overriding anacondra's guess and tell it which video chip it
really has
Comment 13 Bill Nottingham 2001-03-01 14:10:17 EST
Can you post the working X config and the non-working X config?

I'm curious, because according to what I see here, changing the mapping
would still leave the X configurations *identical*.
Comment 14 Bryan Headley 2001-03-01 16:45:34 EST
Created attachment 11480 [details]
The XF86Config built by anaconda if I override to SiS630
Comment 15 Bryan Headley 2001-03-01 16:46:41 EST
Created attachment 11481 [details]
XF86Config if I let anaconda configure things as a SiS620
Comment 16 Bryan Headley 2001-03-01 16:48:56 EST
Created attachment 11482 [details]
anaconda builds the XF86Config-4 for SiS620 but not for 630. Odd...
Comment 17 Bryan Headley 2001-03-01 16:51:05 EST
Quit asking questions like that! I had to do a pristine install to make sure I
got a good XF86config
file (and yeah, I *did* push the resolution up a little on the '630)
Comment 18 Bill Nottingham 2001-03-01 16:52:46 EST
So, in the working case, are you using XFree86 3 or XFree86 4?
Comment 19 Bryan Headley 2001-03-01 18:21:07 EST
XFree86 4.02. At least, I did NOTHING to tell it I wanted 3.6 (is that even an
option?)

I'm beginning to think that the XF86Config-4 file is vulnerable to being
removed. It's a different topic, and I don't know the causailty. I'm doing a
pristine install, and will make backup files. As soon as I figure THAT one out,
will share.

It's a long story, but has to do with "respawning too fast" messages appearing.
I'll report it separately as soon as I have a story to tell..
Comment 20 Glen Foster 2001-03-02 12:41:12 EST
We (Red Hat) really need to fix this before next release.
Comment 21 Bryan Headley 2001-03-02 13:33:15 EST
Okay. Story is figured out. To wit: anaconda thinks it's an SiS 620 but I know
better and override it's guess to SiS 630. Anaconda installs XFree86 3.6. Had I
left it alone it installs XFree86 4.0.2

1. 4.x installed for 620 is appalling(sp) If I could do a screenshot I would,
but I'd be lucky to see the outline of a box in this form, and maybe horz lines
for text. Forget mouse movement being predicable
2. Xconfigurator does not re-establish /etc/X11/X -> your_server all of the
time. So the other day
it wrote a 3.6 XF86config, deleted the XF86config-4, but kept 'X' pointing to
XFree (4.0)

Xconfigurator and the XF86.org's configuration tools ought to be given heave-ho
in favor of an
anaconda entry point that only runs the X configuration portion of the tool.
Except! Said tool must 
move your XF86Config out of the way and use a stock VGA one while it runs (and
then restore your's back), because obviously if you can't read the screen with
the current setup, bringing up anaconda just means another unreadable X tool.

If anaconda "knows" that it's going to use 3.6, it'd be nice if it said so on
the GUI somewhere. Or if you could choose between servers (where the given
chipset is equivalently well-supported by both), maybe a preference button would
be cool.
Comment 22 Brent Fox 2001-03-02 14:43:41 EST
The cards database has been updated to use XFree 4 for the SiS 630, so this
should resolve the issue about using different severs for the differnt cards
when they both can use the XFree 4 servers.  However, if the XFree 4 drivers are
messed up, then this only makes the problem worse.  Preston, should we revert
the SiS 630 and 620 to use XFree 3 by default?
Comment 23 Brent Fox 2001-03-09 11:04:59 EST
Updated the Cards database to use XFree 3 for SiS 620 and SiS 630.  This should
fix the problem.

Note You need to log in before you can comment on or make changes to this bug.